package com.younike.system.domain.vo;

import com.younike.system.domain.Goods;
import lombok.Data;

import java.util.List;
import com.younike.system.domain.GoodsImage;
import com.younike.system.domain.Merchant;

import java.math.BigDecimal;

@Data
public class GoodsVo extends Goods {
    //商品资源数据
    private List<GoodsImage> goodsImageList;

    //单位
    private String monad;

    //单价
    private Long goodsServerPrice;

    //业务类型（1：家政；2：维修）
    private Integer bizType;

    /** 0商家 1个人 */
    private Integer merchantType;
    /** 商户名称 */

    private String merchantName;
    /** 店龄 */
    private BigDecimal storeAge;

    /**营业状态 001营业中 002停止营业*/
    private String businessState;

    /**好评率*/
    private BigDecimal rate;

    /** 工龄 */
    private Integer serverAge;

    /** 家政等级（code） */
    private String serverLevel;

    /** 姓名 */
    private String realName;

    /**服务人员个人简介*/
    private String desc;

    /**服务人员综合评分*/
    private BigDecimal serverScore;

    /**服务人员电话*/
    private String phone;

    /**交易量*/
    private Integer orderCount;

    /**店铺信息*/
    private Merchant merchant;

    /**评价维度集合*/
    private List<GoodsServerDimensionVo> goodsServerDimensionList;

    /**
     * 服务人员数
     */
    private Integer serverUserCount;

    /**
     * 服务类型名称
     */
    private String categoryName;

    /**
     * 服务人员id
     */
    private Long serverId;

    /**
     * 用户手机号
     */
    private String phonenumber;
}
