package com.younike.system.domain.vo;

import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import com.younike.system.domain.OrderGoods;
import com.younike.system.domain.OrderRecord;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

/**
 * 订单商品对象 order_goods
 *
 * @author elev
 * @date 2022-01-06
 */
@Data
public class OrderGoodsVo extends OrderGoods {
    private Date startTime;
    private Date endTime;
    private BigDecimal totalAmount;
    private BigDecimal orderTimeSum;
    private BigDecimal orderNum;
    private Date appointmentStartTime;
    private String address;
    private String detailed;
    private String phone;
    private String orderState;
    private String unit;
    private String custName;
    private String categoryName;
    private String avatar;
    private Integer addCounts;
    private String orderIndex;
    private String refundReason;
    private String categoryId;
    private BigDecimal refundMoney;
    private BigDecimal addAmount;
    private BigDecimal couponAmount;
    private BigDecimal orderAmount;
    private BigDecimal beanAmount;
    private List<OrderRecord> orderRecordList;

}
