package com.younike.system.domain.vo;

import com.younike.system.domain.Order;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 订单返回包装类
 */
@Data
public class OrderVo extends Order {
    /**
     * 店铺名称
     */
    private String merchantNameJoin;

    /**
     * 服务ID
     */
    private String goodsId;

    /**
     * 服务名称
     */
    private String goodsName;

    /**
     * 分类名称
     */
    private String categoryName;

    /**
     * 服务人员手机号
     */
    private String serverPhone;

    /**
     * 服务人员姓名
     */
    private String serverName;

    /**
     * 顾客手机号
     */
    private String memberPhone;

    /**
     * 服务主题类型
     */
    private Integer merchantType;

    /**
     * 状态名称
     */
    private String statusName;

    /**
     * 商品单价
     */
    private BigDecimal goodsServerPrice;

    /**
     * 数量
     */
    private Integer goodsCounts;

}
