package com.younike.system.param;

import com.younike.common.core.domain.BaseEntity;
import lombok.Data;

import java.io.Serializable;

@Data
public class GoodsParam  extends BaseEntity {
    //条件1为服务人员 2 为商家
    private Integer type;

    //搜索条件
    private String name;

    /**
    *业务类型（1：家政；2：维修）
     */
    private Integer bizType;

    /**
     * 分类id
     */
    private Integer cateId;

    /**
     * 父分类id
     */
    private Integer parentId;

    //商品id
   private Long goodsId;

    //商家id
    private Long merchantId;
}
