package com.younike.system.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
public class MerchantModifyVO {

    @NotNull(message = "商家id不能为空")
    private Long merchantId;
    @NotBlank(message = "商家名称不能为空")
    private String merchantName;
    @NotNull(message = "商家地址不能为空")
    private AddressVO address;
    private String houseNumber;
    @NotBlank(message = "客服电话不能为空")
    private String serverPhone;
    @NotNull(message = "店龄不能为空")
    private BigDecimal storeAge;
    @NotBlank(message = "商家logo不能为空")
    private String avatar;
    private String merchantDesc;

}
