package com.younike.system.param;

import lombok.Data;

import java.io.Serializable;

@Data
public class OrderQueryParam implements Serializable {
    /**
     * 商家/个人ID
     */
    private String merchantId;

    /**
     * 商家/个体户姓名
     */
    private String merchantName;

    /**
     * 服务人员ID
     */
    private String goodsId;

    /**
     * 服务主题
     */
    private String name;

    /**
     * 服务人员手机号
     */
    private String serverPhone;

    /**
     * 用户手机号
     */
    private String memberPhone;

    /**
     * 分类ID
     */
    private String categoryId;

    /**
     * 服务主体类型
     */
    private Integer merchantType;

    /**
     * 是否追加服务
     */
    private Integer isAdd;

    /**
     * 状态
     */
    private String status;

    /**
     * 下单开始时间
     */
    private String beginTime;

    /**
     * 下单结束时间
     */
    private String endTime;
}
